## GstVPXDec

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstElement
                    ╰──GstVideoDecoder
                        ╰──GstVPXDec

### Properties

#### deblocking-level

    “deblocking-level” guint

Deblocking level

Flags : Read / Write

Default value : 4

#### noise-level

    “noise-level” guint

Noise level

Flags : Read / Write

Default value : 0

#### post-processing

    “post-processing” gboolean

Enable post processing

Flags : Read / Write

Default value : false

#### post-processing-flags

    “post-processing-flags” Vpxdec-post-processing-flags *

Flags to control post processing

Flags : Read / Write

Default value : mfqe+demacroblock+deblock

#### threads

    “threads” guint

Maximum number of decoding threads

Flags : Read / Write

Default value : 0

### Named constants

#### Vpxdec-post-processing-flags

##### Members

`deblock` (0x00000001) – Deblock
`demacroblock` (0x00000002) – Demacroblock
`addnoise` (0x00000004) – Add noise
`mfqe` (0x00000008) – Multi-frame quality enhancement

The results of the search are